<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: FP Profile Wall
| Version: 1.00
| Filename: fp_profile_wall_center_panel.php
| Author: Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."fp_profile_wall/locale/".$settings['locale'].".php")) {
	include INFUSIONS."fp_profile_wall/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."fp_profile_wall/locale/English.php";
}

include INFUSIONS."fp_profile_wall/infusion_db.php";

$fp_profile_wall_settings = dbarray(dbquery("SELECT * FROM ".DB_FP_PROFILE_WALL));
require_once INFUSIONS."fp_profile_wall/includes/fp_profile_wall_styles.php";

add_to_head("<script language='JavaScript' type='text/javascript' src='".INFUSIONS."fp_profile_wall/includes/ticker.js'></script>");
echo "<script type='text/javascript'>
	$(document).ready(
		function() {
			$('#fpwall').newsTicker(".$fp_profile_wall_settings['ticker_speed'].");
			$('#fpwall').show('slow');
		}
	);
	</script>";

$result = dbquery(
	"SELECT * FROM ".DB_COMMENTS."  LEFT JOIN ".DB_USERS."
	ON ".DB_COMMENTS.".comment_name=".DB_USERS.".user_id WHERE comment_type='U'
	ORDER BY comment_datestamp DESC LIMIT 0,20"
	);

 opentable("Latest ".$locale['com32']);
echo"<div style='height: 80px;'>\n";
echo "<ul id='fpwall' class='fp-wall-ticker'>";
if (dbrows($result)) {
while ($data = dbarray($result)) {
echo "<li>";
if ($fp_profile_wall_settings['avatar_c'] == '1') {
				if ($data['user_avatar'] && file_exists(IMAGES."avatars/".$data['user_avatar'])) {
				$user_avatar = "<div class='' style='float:left;'><img style='vertical-align:middle;' class='d-avatar'  src='".IMAGES."avatars/".$data['user_avatar']."' alt='".$data['user_name']."'/>";
				echo profile_link($data['comment_name'], $user_avatar, $data['user_status']);
				} else {
				$user_avatar = "<div class='' style='float:left;'><img style='vertical-align:middle;' class='d-avatar' src='".INFUSIONS."fp_profile_wall/images/noav.gif' alt='".$data['user_name']."'/>";
				echo profile_link($data['comment_name'], $user_avatar, $data['user_status']);

				}
               }
		if ($fp_profile_wall_settings['status'] == '1'){
				echo" <span class='small'>|</span> ";
					if ($data['user_lastvisit']<(time()-60)) {
				echo " <img src='".INFUSIONS."fp_profile_wall/images/offline.gif' alt='".$data['user_name']." ".$locale['c003']."' title='".$data['user_name']." ".$locale['c003']."'  style='vertical-align:middle; border:0px;'/> <span class='small'>|</span> \n";
			     } else {
				echo " <img src='".INFUSIONS."fp_profile_wall/images/online.gif' alt='".$data['user_name']." ".$locale['c002']."' title='".$data['user_name']." ".$locale['c002']."'  style='vertical-align:middle; border:0px;' /> <span class='small'>|</span> \n";	
			    }
			    }	   
if ($fp_profile_wall_settings['avatar_c'] !== '1') { echo"<div class='' style='float:left;'>\n"; }	
	
                if ($data['user_name']) {

					echo "<strong><span class='small'>".profile_link($data['comment_name'], $data['user_name'], $data['user_status'])."</span></strong>\n";
                    } else {
                    echo $data['comment_name'];
                }

if ($data['comment_type'] == "U") {

	$username_res = dbquery("SELECT user_name FROM ".DB_USERS." WHERE user_id='".$data['comment_item_id']."' LIMIT 0,1");
	if (dbrows($username_res) == 1) {
		$username_data = dbarray($username_res);
	} else {
		$username_data['user_name'] = $locale['com34'];
	}
	echo " <span class='small'>@ <a href='".BASEDIR."profile.php?lookup=".$data['comment_item_id']."'>".$username_data['user_name'].$locale['com35']."</a></span>";
}
echo"<span class='small'> ".$locale['com36']." ".showdate("shortdate", $data['comment_datestamp'])."</span>";
  
$comment_message = nl2br(parseubb(parsesmileys(trimlink($data['comment_message'], 100)),"smiley|url|b|i|u|left|center|right|small|big|color"));
$comment_item_id = $data['comment_item_id'];
$comment_type = $data['comment_type']; 

echo"<div style='margin-top:5px;' class='tbl'><span class='small'>".$comment_message."</div></div>\n";

echo "</li>\n";

}

	} else {

echo "<div class='' style='text-align:center;'>".$locale['com41']."</div>\n";
}

echo "</ul>";
echo"</div>\n";

closetable();
?>