<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: FP Profile Wall
| Version: 1.00
| Filename: fp_profile_wall_panel.php
| Author: Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."fp_profile_wall/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."fp_profile_wall/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
include INFUSIONS."fp_profile_wall/locale/".$settings['locale'].".php";
} else {
// Load the infusion's default locale file.
include INFUSIONS."fp_profile_wall/locale/English.php";
}

if (isset($_GET['lookup']) && isnum($_GET['lookup'])) {
include INFUSIONS."fp_profile_wall/includes/fp_profile_wall_include.php";
fp_profile_wall("U", DB_USERS, "user_id", $_GET['lookup'], FUSION_SELF."?lookup=".$_GET['lookup']);
}

?> 